Bug 233711 - www/luakit: Update to 2.1
Summary: www/luakit: Update to 2.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kurt Jaeger
URL: https://github.com/luakit/luakit/blob...
Keywords:
Depends on:
Blocks:
 
Reported: 2018-12-02 09:20 UTC by Stefan Hagen
Modified: 2019-10-22 18:41 UTC (History)
2 users (show)

See Also:


Attachments
Luakit v2.1 update diff (9.06 KB, patch)
2018-12-02 09:20 UTC, Stefan Hagen
no flags Details | Diff
luakit-2.1 patch (8.26 KB, patch)
2019-10-21 22:52 UTC, yzrh
no flags Details | Diff
luakit 2.1 with updated pkg-descr (8.88 KB, patch)
2019-10-22 02:18 UTC, yzrh
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Hagen 2018-12-02 09:20:41 UTC
Created attachment 199734 [details]
Luakit v2.1 update diff

Hello,

I'm updating my port www/luakit to version 2.1

I've set EPOCH because the luakit Author decided to change the versioning scheme from date (prior version 2017.08.10) to semantic versioning.

Port changes:
- Update to version to luakit v2.1
- Set EPOCH (semantic versioning now)
- Moved NOT_FOR_ARCH (for portlint)
- Removed MAKE_ARGS DEVELOPMENT_PATHS (default in config.mk now)
- post-patch is now post-extract (there are no patches)

Luakit changes:
- https://github.com/luakit/luakit/blob/develop/CHANGELOG.md

I've attached the svn diff.
Comment 1 Bugzilla Automation freebsd_committer 2018-12-02 09:20:41 UTC
Maintainer informed via mail
Comment 2 Kurt Jaeger freebsd_committer 2019-03-16 10:17:04 UTC
testbuilds@work
Comment 3 Kurt Jaeger freebsd_committer 2019-03-16 12:30:47 UTC
portlint complains:

FATAL: /home/pi/m/www/luakit/pkg-plist: [223]: Man pages must be installed into ``man'' not ``share/man''.

Otherwise, builds fine.
Comment 4 Tobias Kortkamp freebsd_committer 2019-08-08 12:16:26 UTC
Port is unmaintained after ports r508374
Comment 5 yzrh 2019-10-21 22:52:57 UTC
Created attachment 208494 [details]
luakit-2.1 patch

Changes from the original 2.1 patch:

share/man to man
gnu99 to gnu11, since -std=gnu99 generates loads of warning from webkit

PS: I created an account just to get luakit updated. Please forgive me if I got anything wrong, I will be happy to fix it.
Comment 6 yzrh 2019-10-22 02:18:53 UTC
Created attachment 208497 [details]
luakit 2.1 with updated pkg-descr

Update pkg-descr. Project website has moved.
Comment 7 Kurt Jaeger freebsd_committer 2019-10-22 05:35:30 UTC
thanks, testbuilds@work
Comment 8 Kurt Jaeger freebsd_committer 2019-10-22 18:40:47 UTC
Committed, thanks!
Comment 9 commit-hook freebsd_committer 2019-10-22 18:41:06 UTC
A commit references this bug:

Author: pi
Date: Tue Oct 22 18:40:31 UTC 2019
New revision: 515209
URL: https://svnweb.freebsd.org/changeset/ports/515209

Log:
  www/luakit: upgrade 2017.08.10 -> 2.1

  - updated WWW
  - Set EPOCH (semantic versioning now)

  PR:		233711
  Submitted by:	sh+freebsd-bugzilla@codevoid.de, yzrh@tuta.io
  Relnotes:	https://github.com/luakit/luakit/blob/develop/CHANGELOG.md

Changes:
  head/www/luakit/Makefile
  head/www/luakit/distinfo
  head/www/luakit/pkg-descr
  head/www/luakit/pkg-plist